curl --request PUT \
--url https://api.devhelm.io/api/v1/status-pages/{id}/groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"collapsed": true
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"displayOrder": 123,
"pageOrder": 123,
"collapsed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"components": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "MONITOR",
"currentStatus": "OPERATIONAL",
"showUptime": true,
"displayOrder": 123,
"pageOrder": 123,
"excludeFromOverall": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-11-07T05:31:56Z"
}
]
}
}curl --request PUT \
--url https://api.devhelm.io/api/v1/status-pages/{id}/groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"collapsed": true
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"displayOrder": 123,
"pageOrder": 123,
"collapsed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"components": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "MONITOR",
"currentStatus": "OPERATIONAL",
"showUptime": true,
"displayOrder": 123,
"pageOrder": 123,
"excludeFromOverall": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-11-07T05:31:56Z"
}
]
}
}API key (dh_live_...) or Auth0 JWT token
New group name; null preserves current
255New description; null preserves current, empty string clears
500New position in the group list; null preserves current
Whether the group is collapsed by default; null preserves current
OK
Show child attributes